Show / Hide Table of Contents

# Class MapLinkPayload

An SeString Payload representing an interactable map position link.

##### Inheritance

System.Object
Payload
MapLinkPayload

##### Inherited Members

Payload.DataResolver
Payload.Dirty
Payload.Decode(BinaryReader)
Payload.Encode(Boolean)
Payload.START_BYTE
Payload.END_BYTE
Payload.GetInteger(BinaryReader)
Payload.MakeInteger(UInt32)
Payload.GetPackedIntegers(BinaryReader)
Payload.MakePackedInteger(UInt32, UInt32)
System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: Dalamud.Game.Text.SeStringHandling.Payloads

###### Assembly: Dalamud.dll

##### Syntax

    public class MapLinkPayload : Payload

### Constructors

| Improve this Doc View Source

#### MapLinkPayload(UInt32, UInt32, Int32, Int32)

Initializes a new instance of the MapLinkPayload class. Creates an interactable MapLinkPayload from a raw position.

##### Declaration

    public MapLinkPayload(uint territoryTypeId, uint mapId, int rawX, int rawY)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | territoryTypeId | The id of the TerritoryType entry for this link.
System.UInt32 | mapId | The id of the Map entry for this link.
System.Int32 | rawX | The internal raw x-coordinate for this link.
System.Int32 | rawY | The internal raw y-coordinate for this link.

| Improve this Doc View Source

#### MapLinkPayload(UInt32, UInt32, Single, Single, Single)

Initializes a new instance of the MapLinkPayload class. Creates an interactable MapLinkPayload from a human-readable position.

##### Declaration

    public MapLinkPayload(uint territoryTypeId, uint mapId, float niceXCoord, float niceYCoord, float fudgeFactor = 0.05F)

##### Parameters

Type | Name | Description
--- | --- | ---
System.UInt32 | territoryTypeId | The id of the TerritoryType entry for this link.
System.UInt32 | mapId | The id of the Map entry for this link.
System.Single | niceXCoord | The human-readable x-coordinate for this link.
System.Single | niceYCoord | The human-readable y-coordinate for this link.
System.Single | fudgeFactor | An optional offset to account for rounding and truncation errors; it is best to leave this untouched in most cases.

### Properties

| Improve this Doc View Source

#### CoordinateString

Gets the printable map coordinates for this link. This value tries to match the in-game printable text as closely as possible but is an approximation and may be slightly off for some positions.

##### Declaration

    [JsonIgnore]
    public string CoordinateString { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### DataString

Gets the data string for this map link, for use by internal game functions that take a string variant and not a binary payload.

##### Declaration

    public string DataString { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Map

Gets the Map specified for this map link.

##### Declaration

    [JsonIgnore]
    public Map Map { get; }

##### Property Value

Type | Description
--- | ---
Lumina.Excel.GeneratedSheets.Map |

##### Remarks

The value is evaluated lazily and cached.

| Improve this Doc View Source

#### PlaceName

Gets the place name for this map link. This corresponds to the lower zone name found in the actual in-game map UI. eg, "Limsa Lominsa Upper Decks".

##### Declaration

    [JsonIgnore]
    public string PlaceName { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### PlaceNameRegion

Gets the region name for this map link. This corresponds to the upper zone name found in the actual in-game map UI. eg, "La Noscea".

##### Declaration

    [JsonIgnore]
    public string PlaceNameRegion { get; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### RawX

Gets the internal x-coordinate for this map position.

##### Declaration

    public int RawX { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### RawY

Gets the internal y-coordinate for this map position.

##### Declaration

    public int RawY { get; }

##### Property Value

Type | Description
--- | ---
System.Int32 |

| Improve this Doc View Source

#### TerritoryType

Gets the TerritoryType specified for this map link.

##### Declaration

    [JsonIgnore]
    public TerritoryType TerritoryType { get; }

##### Property Value

Type | Description
--- | ---
Lumina.Excel.GeneratedSheets.TerritoryType |

##### Remarks

The value is evaluated lazily and cached.

| Improve this Doc View Source

#### Type

Gets the type of this payload.

##### Declaration

    public override PayloadType Type { get; }

##### Property Value

Type | Description
--- | ---
PayloadType |

##### Overrides

Payload.Type
| Improve this Doc View Source

#### XCoord

Gets the readable x-coordinate position for this map link. This value is approximate and unrounded.

##### Declaration

    public float XCoord { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

| Improve this Doc View Source

#### YCoord

Gets the readable y-coordinate position for this map link. This value is approximate and unrounded.

##### Declaration

    [JsonIgnore]
    public float YCoord { get; }

##### Property Value

Type | Description
--- | ---
System.Single |

### Methods

| Improve this Doc View Source

#### DecodeImpl(BinaryReader, Int64)

Decodes a byte stream from the game into a payload object.

##### Declaration

    protected override void DecodeImpl(BinaryReader reader, long endOfStream)

##### Parameters

Type | Name | Description
--- | --- | ---
System.IO.BinaryReader | reader | A BinaryReader containing at least all the data for this payload.
System.Int64 | endOfStream | The location holding the end of the data for this payload.

##### Overrides

Payload.DecodeImpl(BinaryReader, Int64)
| Improve this Doc View Source

#### EncodeImpl()

Encodes the internal state of this payload into a byte[] suitable for sending to in-game handlers such as the chat log.

##### Declaration

    protected override byte[] EncodeImpl()

##### Returns

Type | Description
--- | ---
System.Byte[] | Encoded binary payload data suitable for use with in-game handlers.

##### Overrides

Payload.EncodeImpl()
| Improve this Doc View Source

#### ToString()

##### Declaration

    public override string ToString()

##### Returns

Type | Description
--- | ---
System.String |

##### Overrides

System.Object.ToString()